Index: applications/bdmtoolbox/tutorial/userguide/arx_basic_example.m
===================================================================
--- applications/bdmtoolbox/tutorial/userguide/arx_basic_example.m (revision 631)
+++ applications/bdmtoolbox/tutorial/userguide/arx_basic_example.m (revision 700)
@@ -1,4 +1,4 @@
 % load data created by the MpdfDS_example
-load mpdfds_results
+load pdfds_results
 
 DS.class   = 'MemDS';
@@ -17,33 +17,20 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % plot results
-ndat = size(M.u,1);
+ndat = size(M.DS_u,1);
 
 subplot(1,2,1);
 hold off
-plot((true_theta' *ones(1,ndat))','-.');
-title(' Regression parameters \theta')
-hold on
-plot(M.mean_theta(1:ndat,:));
-co = get(gca,'ColorOrder');
-for i=1:size(M.mean_theta,2)
-    ind =1:10:ndat;
-    h=errorbar(ind,M.mean_theta(ind,i),...
-    M.mean_theta(ind,i)-M.lb_theta(ind,i),M.mean_theta(ind,i)-M.ub_theta(ind,i),'.');
-    set(h,'color',co(i,:));
-end
-
+plotestimates(true_theta, ...
+    M.Est0_apost_mean_theta, ...
+    M.Est0_apost_lb_theta, ...
+    M.Est0_apost_ub_theta);
 set(gca,'YLim',[-1.5,1]);
 
 subplot(1,2,2);
 hold off
-plot(true_R*ones(1,ndat),'-.');
+plotestimates(true_R, ...
+    M.Est0_apost_mean_r, ...
+    M.Est0_apost_lb_r, ...
+    M.Est0_apost_ub_r);
+
 title('Variance parameters r')
-hold on
-plot(M.mean_r(1:ndat,:));
-co = get(gca,'ColorOrder');
-ind =1:10:ndat;
-for i=1:size(M.mean_r, 2)
-    h=errorbar(ind,M.mean_r(ind,i),...
-    M.mean_r(ind,i)-M.lb_r(ind,i),M.mean_r(ind,i)-M.ub_r(ind,i),'.');
-    set(h,'color',co(i,:));
-end
Index: applications/bdmtoolbox/tutorial/userguide/arx_selection_example.m
===================================================================
--- applications/bdmtoolbox/tutorial/userguide/arx_selection_example.m (revision 631)
+++ applications/bdmtoolbox/tutorial/userguide/arx_selection_example.m (revision 700)
@@ -1,4 +1,4 @@
 % load data created by the MpdfDS_example
-load mpdfds_results
+load pdfds_results
 
 DS.class   = 'MemDS';
@@ -30,5 +30,5 @@
 
 %%%% Process results
-lls = [sum(M.A1ll) sum(M.A2ll) sum(M.A3ll)]
+lls = [sum(M.A1_ll_ll) sum(M.A2_ll_ll) sum(M.A3_ll_ll)]
 
 ells=exp(lls-max(lls));
Index: applications/bdmtoolbox/tutorial/userguide/pdfds_example.m
===================================================================
--- applications/bdmtoolbox/tutorial/userguide/pdfds_example.m (revision 700)
+++ applications/bdmtoolbox/tutorial/userguide/pdfds_example.m (revision 700)
@@ -0,0 +1,36 @@
+% name random variables
+y = RV({'y'},1);
+u = RV({'u'},1);
+
+% create f(y_t| y_{t-3}, u_{t-1})
+fy.class = 'mlnorm<ldmat>';
+fy.rv    = y;
+fy.rvc   = RVtimes([y,u], [-3, -1]);
+fy.A     = [0.5, -0.9];
+fy.const = 0;
+fy.R     = 1e-1;
+
+% create f(u_t| )
+fu.class = 'enorm<ldmat>';
+fu.rv    = u;
+fu.mu    = 0;
+fu.R     = 1e-1;
+
+% create DS
+DS.class = 'MpdfDS';
+DS.mpdf.class  = 'mprod';
+DS.mpdf.mpdfs  = {fy, fu};
+DS.init_rv = RVtimes([y,y,y], [-1,-2,-3]);
+DS.init_values = [0.1, 0.2, 0.3];
+
+experiment.ndat=100;
+
+%M=estimator(DS,{},experiment);
+M=simulator(DS,experiment);
+
+%%% store results
+Data=[M.DS_y'; M.DS_u'];
+drv = RVjoin([y,u]);
+true_theta=[fy.A fy.const]; 
+true_R=[fy.R]; 
+save mpdfds_results Data drv y u true_theta true_R
Index: applications/bdmtoolbox/tutorial/userguide/frg_estim.m
===================================================================
--- applications/bdmtoolbox/tutorial/userguide/frg_estim.m (revision 661)
+++ applications/bdmtoolbox/tutorial/userguide/frg_estim.m (revision 700)
@@ -17,5 +17,5 @@
 %%%%%% Random walk on frg - Dirichlet 
 phi_pdf.class = 'mDirich';         % random walk on coefficient phi
-phi_pdf.rv    = RV('phi',2);       % 2D random walk - frg is the first element
+phi_pdf.rv    = RV({'phi','1_phi'});       % 2D random walk - frg is the first element
 phi_pdf.k     = 0.01;              % width of the random walk
 phi_pdf.betac = [0.01 0.01];       % stabilizing elememnt of random walk
@@ -26,5 +26,5 @@
 E.parameter_pdf = phi_pdf;         % Random walk is the parameter evolution model
 E.res_threshold = 1.0;             % resampling parameter
-E.n = 20;                          % number of particles
+E.n = 10;                          % number of particles
 E.prior.class = 'eDirich';         % prior on non-linear part
 E.prior.beta  = [2 1]; % 
@@ -36,18 +36,18 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % plot results
-ndat = size(M.u,1);
+ndat = size(M.DS_u,1);
 
 figure(1);
 subplot(2,2,1);
-plotestimates(true_theta, M.MPFmean_theta, M.MPFlb_theta, M.MPFub_theta);
+plotestimates(true_theta, M.MPF_apost_mean_theta, M.MPF_apost_lb_theta, M.MPF_apost_ub_theta);
 title(' Regression parameters \theta')
 set(gca,'YLim',[-1.5,1]);
 
 subplot(2,2,2);
-plotestimates(true_R, M.MPFmean_r,M.MPFlb_r,M.MPFub_r);
+plotestimates(true_R, M.MPF_apost_mean_r,M.MPF_apost_lb_r,M.MPF_apost_ub_r);
 title('Variance parameters r')
 
 subplot(2,2,3);
-plotestimates(1, M.MPFmean_phi(:,1),M.MPFlb_phi(:,1),M.MPFub_phi(:,1));
+plotestimates(1, M.MPF_apost_mean_phi(:,1),M.MPF_apost_lb_phi(:,1),M.MPF_apost_ub_phi(:,1));
 title('Forgetting factor')
 
Index: applications/bdmtoolbox/tutorial/userguide/epdfds_example.m
===================================================================
--- applications/bdmtoolbox/tutorial/userguide/epdfds_example.m (revision 618)
+++ applications/bdmtoolbox/tutorial/userguide/epdfds_example.m (revision 700)
@@ -12,3 +12,3 @@
 M=simulator(DS,experiment);
 
-M.a
+M.DS_a
Index: applications/bdmtoolbox/tutorial/userguide/mpdfds_example.m
===================================================================
--- applications/bdmtoolbox/tutorial/userguide/mpdfds_example.m (revision 631)
+++  (revision )
@@ -1,36 +1,0 @@
-% name random variables
-y = RV({'y'},1);
-u = RV({'u'},1);
-
-% create f(y_t| y_{t-3}, u_{t-1})
-fy.class = 'mlnorm<ldmat>';
-fy.rv    = y;
-fy.rvc   = RVtimes([y,u], [-3, -1]);
-fy.A     = [0.5, -0.9];
-fy.const = 0;
-fy.R     = 1e-1;
-
-% create f(u_t| )
-fu.class = 'enorm<ldmat>';
-fu.rv    = u;
-fu.mu    = 0;
-fu.R     = 1e-1;
-
-% create DS
-DS.class = 'MpdfDS';
-DS.mpdf.class  = 'mprod';
-DS.mpdf.mpdfs  = {fy, epdf2mpdf(fu)};
-DS.init_rv = RVtimes([y,y,y], [-1,-2,-3]);
-DS.init_values = [0.1, 0.2, 0.3];
-
-experiment.ndat=100;
-
-%M=estimator(DS,{},experiment);
-M=simulator(DS,experiment);
-
-%%% store results
-Data=[M.y'; M.u'];
-drv = RVjoin([y,u]);
-true_theta=[fy.A fy.const]; 
-true_R=[fy.R]; 
-save mpdfds_results Data drv y u true_theta true_R
